package com.arrebol.taxiservicios.model.enums;

/**
 *
 * @author Oscar Vargas
 */
public enum MutualAddType {
    SINIESTRO("Ingreso por siniestro") {
        @Override
        public String toString() {
            return "SINIESTRO";
        }
    }, CUOTA_MUTUAL("Cuota Mutual") {
        @Override
        public String toString() {
            return "CUOTA_MUTUAL";
        }
    }, PAGO_LAMINADO("Ingreso por laminado") {
        @Override
        public String toString() {
            return "PAGO_LAMINADO";
        }
    }, PAGO_DEDUCIBLE("Pago deducible") {
        @Override
        public String toString() {
            return "PAGO_DEDUCIBLE";
        }
    }, NUEVO_INGRESO("Nuevo ingreso") {
        @Override
        public String toString() {
            return "NUEVO_INGRESO";
        }
    }, OTROS_INGRESOS("Otros ingresos") {
        @Override
        public String toString() {
            return "OTROS_INGRESOS";
        
        }
    };

    private final String type;

    private MutualAddType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

}
